// -----------------------------------------------------------------------
#ifndef _DOCINFOMANAGER_H_
#define _DOCINFOMANAGER_H_
// -----------------------------------------------------------------------
#include "IRadDataTable.h"
#include "DocInfo.h"


class DocInfoManager
{
  public:
	IRadDataTable<CDocInfo>* GetListAll();

	void Flush();
    DocInfoManager(CString FileName);
    virtual ~DocInfoManager();

    BOOL RegisterDocument(CDocInfo *ud);
    BOOL UnRegisterDocument(CString Owner_Filename);

    BOOL DocumentExists (CString owner, CString filename);

    CDocInfo* GetDocInfo (CString Owner_Filename);
    void ClearDataBase();
  private:
    CString FileName;
    IRadDataTable<CDocInfo> *pDocTable;

};
// -----------------------------------------------------------------------
#endif
// ----------------