// FileManager.h: interface for the FileManager class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _FILEMANAGER_H_
#define _FILEMANAGER_H_

#include <afx.h>
#include <windows.h>

class FileManager
{
  public:
  	FileManager(CString absolutePath);
  	virtual ~FileManager();

    HANDLE GetFile (CString login, CString filename); //int = handle File

    BOOL AddFile (CString login, CString filename, CString tmpCompleteFileName);

    BOOL DelFile (CString login, CString filename);

    BOOL FileExists (CString login, CString filename);

    CString GenerateFilename (CString login, CString filename);
  protected:
    CString path;

	CString IntToString(int number);
};

#endif
