#if !defined(AFX_MANAGEDOCSDLG_H__8393EBD1_DE37_4C07_AA56_EA67132C68C8__INCLUDED_)
#define AFX_MANAGEDOCSDLG_H__8393EBD1_DE37_4C07_AA56_EA67132C68C8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ManageDocsDlg.h : header file
//

#include "DocInfo.h"
#include "ServerAudioDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CManageDocsDlg dialog
// Dialog Style

#define DIALOG_MANAGE 1
#define DIALOG_GETFILENAME 2

class CManageDocsDlg : public CDialog
{
// Construction
public:
	void Fill();
	CManageDocsDlg(CWnd* pParent, CServerAudioDoc * doc, int dlgType);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CManageDocsDlg)
	enum { IDD = IDD_MANAGE_DOCS };
	CButton	m_Btn_Ok;
	CButton	m_Btn_Add;
	CButton	m_Btn_Del;
	CButton	m_Stream;
	CButton	m_Persist;
	CEdit	m_Edit_Description;
	CListCtrl	m_list;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CManageDocsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

//user
public:
	CDocInfo selectedDoc;

private:
	CServerAudioDoc * m_document;

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CManageDocsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDocumentDelete();
	afx_msg void OnDocumentRename();
	afx_msg void OnKeydownList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickList(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	afx_msg void OnBtnAdd();
	afx_msg void OnButtonCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int dialogType;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MANAGEDOCSDLG_H__8393EBD1_DE37_4C07_AA56_EA67132C68C8__INCLUDED_)
