// PlayList.h: interface for the CPlayList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLAYLIST_H__99976B4B_DBA1_4D1E_AA14_CBEB63042FD1__INCLUDED_)
#define AFX_PLAYLIST_H__99976B4B_DBA1_4D1E_AA14_CBEB63042FD1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afx.h>
#include <afxcoll.h>
#include <afxtempl.h> // for CList
#include <afxmt.h> // for semaphore
#include "DocInfo.h"

class CPlayList 
{

public:
	
	CPlayList();
	virtual ~CPlayList();
	CDocInfo GetHead();
	void Enqueue(CDocInfo doc);
	int ChangePriority(int elem, int incr);
	CDocInfo GetElementAt(int pos);
	BOOL RemoveElementAt(int pos);
	BOOL RemoveElement(CString key);
	void RemoveAll();
	int Size();

private:
	CList<CDocInfo,CDocInfo> playlst;
	CMutex mutex;
};

#endif // defined