#include "stdafx.h"
#include "ProtocolMarshalling.h"
#include "Client.h"


#define BASE_OK 200
#define BASE_KO 400


#define CODE_LOGIN 1
#define CODE_LOGOUT 2
#define CODE_WHOIS 3
#define CODE_REGISTER 4
#define CODE_BADPARAMETERS 5
#define CODE_UNKNOWNCOMMAND 6





IradisProtocolMarshalling::IradisProtocolMarshalling(ClientRunner *cr, char mytoken) : client(cr), token(mytoken) { 
}

	


CString* IradisProtocolMarshalling::invoke(CStringList* params) {
	
	
	CString res = CString();;
	
	for(int i=0; i<params->GetCount();i++){ 
		if (i+1 == params->GetCount()) res = res + params->GetAt(params->FindIndex(i));
		else res = res + params->GetAt(params->FindIndex(i)) + CString(token);
	}

	cout << res.GetBuffer(0) << endl;
	return new CString(res);
};
	

CString* IradisProtocolMarshalling::receiveMsg(SOCKET socket){
	char *buffer=new char[_SIZE_BUFFER];
	int size_recv=recv(socket,buffer,_SIZE_BUFFER-1,0);
	buffer[size_recv]='\0';
	return new CString(buffer);
};


void IradisProtocolMarshalling::sendMsg(SOCKET socket, CString* response){
	send(socket,*response, response->GetLength(), 0);
};


