#ifndef _PROTOCOL_MARSHALLING_H
#define _PROTOCOL_MARSHALLING_H
#include <Afxsock.h>


#include <Afxtempl.h>
#include <Afxcoll.h>
#include <iostream>
#define _SIZE_BUFFER 256

class ClientRunner;


using namespace std;


class ProtocolMarshalling {
	
public:
	
	//Invoke the appropriate method
	virtual CString* invoke(CStringList* params)=0;
	
	//Receive the msg send to the socket (TCP)
	virtual CString* receiveMsg(SOCKET socket)=0;
	
	//Send a msg to the socket
	virtual void sendMsg(SOCKET socket,CString* response)=0;
	
	

};

class IradisProtocolMarshalling : public ProtocolMarshalling {

public:
	
	IradisProtocolMarshalling(ClientRunner* cr, char mytoken);


	virtual CString* invoke(CStringList* params);

	virtual CString* receiveMsg(SOCKET socket);
	
	virtual void sendMsg(SOCKET socket, CString* response);

	ClientRunner *client;

	char token;
	

};


#endif
