// ServerInit.h: interface for the CServerInit class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVERINIT_H__99976B4B_DBA1_4D1E_AA14_CBEB63042FD1__INCLUDED_)
#define AFX_SERVERINIT_H__99976B4B_DBA1_4D1E_AA14_CBEB63042FD1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxcoll.h>

#include "IniFile.h"


class CServerInit
{
public:
	
	CServerInit(CString strFile);
	virtual ~CServerInit();
	BOOL Save();

private:
	void Load();

public:
	void SetFile(CString file);
	CString m_path;
	CString m_clientDb;
	CString m_docDb;
	CString m_docPath; // relative doc path from path

	// TCP
	int m_tcpPort;
	
	//UDP
	int m_udpPort;
	CString m_udpIP;

	// Fcast
	int m_FcastRound;
	CString m_FcastIP;
	int m_FcastPort;
	int m_FcastRate;


	CString m_strFileName;

private:
	CIniFile m_cini;


#define	DIRNAME_LEN 255

// default values
#define MCASTIP "230.0.0.1"
#define TCPPORT		1550
#define UDPPORT		2001
#define FCASTPORT	1711
#define FCASTROUND	3
#define FCASTRATE	400
#define CLIENT_DB	"UserDB.dat"
#define DOC_DB		"DocumentDB.dat"
#define DOC_PATH	"upload\\"

};

#endif // defined