#include "stdafx.h"
#include "UserInfo.h"

// -----------------------------------------------------------------------
IMPLEMENT_SERIAL(CUserInfo, CObject, 0)
// -----------------------------------------------------------------------
CUserInfo::CUserInfo()
{

}
// -----------------------------------------------------------------------
CUserInfo::CUserInfo(CString login, CString passwd, CString user,
                     CString lastname, BOOL banned, BOOL connected,
                     CString ip, int port) : login(login), passwd(passwd),
                     user(user), lastname(lastname), banned(banned),
                     connected(connected), ip(ip), port(port) { }
// -----------------------------------------------------------------------
void CUserInfo::Serialize(CArchive &archive)
{
  CObject::Serialize( archive );

  if (archive.IsStoring()) {
    archive << banned << connected << ip << lastname << login << passwd << port << user;
  } else {
    archive >> banned >> connected >> ip >> lastname >> login >> passwd >> port >> user;
  }
}
// -----------------------------------------------------------------------
CString CUserInfo::getKey() {
  return login;
}
// -----------------------------------------------------------------------