// -----------------------------------------------------------------------
#ifndef _USERINFOMANAGER_H_
#define _USERINFOMANAGER_H_
// -----------------------------------------------------------------------
#include "IRadDataTable.h"
#include "UserInfo.h"


class UserInfoManager
{
  public:
	  void Flush();
    UserInfoManager(CString FileName);
    virtual ~UserInfoManager();

    BOOL RegisterUser(CUserInfo *ui);
    BOOL UnRegisterUser(CString login);

    void GetList(CStringList* list, BOOL connected);
    void GetListAll(CStringList* list);

    CUserInfo* GetUserInfo (CString login);
    void ClearDataBase();

	void setAllOffline();

  private:
    CString FileName;
    IRadDataTable<CUserInfo> *pUserTable;

};
// -----------------------------------------------------------------------
#endif
// -----------------------------------------------------------------------