// AddFileDlg.cpp : implementation file
//

#include "stdafx.h"
#include "serveraudio.h"
#include "AddFileDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddFileDlg dialog




CAddFileDlg::CAddFileDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAddFileDlg::IDD, pParent)
{
	owner="root";	
	mimeType="unknown";
	//{{AFX_DATA_INIT(CAddFileDlg)
	m_description = _T("");
	m_file = _T("");
	m_persistant = TRUE;
	m_streamable = FALSE;
	//}}AFX_DATA_INIT
}


void CAddFileDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddFileDlg)
	DDX_Text(pDX, IDC_EDIT_DESCRIPTION, m_description);
	DDX_Text(pDX, IDC_EDIT_FILE, m_file);
	DDX_Check(pDX, IDC_CHK_PERSIST, m_persistant);
	DDX_Check(pDX, IDC_CHK_STREAMABLE, m_streamable);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddFileDlg, CDialog)
	//{{AFX_MSG_MAP(CAddFileDlg)
	ON_BN_CLICKED(IDC_BTN_BROWSE, OnBtnBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddFileDlg message handlers

void CAddFileDlg::OnBtnBrowse() 
{
	// TODO: Add your control notification handler code here

	CFileDialog cfd(TRUE, ".*","",0,"All Files (*.*)|*.*||",NULL);
	

  if( ! initialDir.IsEmpty() ) {
    cfd.m_ofn.lpstrInitialDir = initialDir;    
  }
  cfd.m_ofn.Flags |= OFN_NOCHANGEDIR;

	if (cfd.DoModal () == IDOK) {
		CFile f(cfd.GetPathName (), CFile::modeRead);
		
		filename = cfd.GetFileName();
		relativePath = cfd.GetPathName();
		m_file = relativePath;
		UpdateData(FALSE);
		//CString tmp = filename + owner + relativePath + mimeType + CString(streamable) + CString(" ")+CString(persistent) +m_description;
		//MessageBox(tmp.getBuffer(0), "", MB_OK);
		
		//m_document_db_file_o.SetWindowText(cfd.GetPathName ());
		//GetDocument ()->SetDocumentDbFile(cfd.GetPathName ());
	}	
}

void CAddFileDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData(TRUE);
	if (m_file == "") {
		MessageBox ("You must select a file to add.","Error Adding File",MB_OK|MB_ICONWARNING);
		return;
	} else if (m_description == "") {
		MessageBox ("You must specify a description to the file.","Error Adding File",MB_OK|MB_ICONWARNING);
		return;
	} else {
		CDialog::OnOK();
	}
}
