#if !defined(AFX_ADDFILEDLG_H__9B78C932_2046_4812_BAE1_BC09DFC3116B__INCLUDED_)
#define AFX_ADDFILEDLG_H__9B78C932_2046_4812_BAE1_BC09DFC3116B__INCLUDED_


#include "DocInfoManager.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddFileDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddFileDlg dialog

class CAddFileDlg : public CDialog
{
// Construction
public:
	CAddFileDlg(CWnd* pParent = NULL);   // standard constructor
	CString GetFilename(){ return filename; }
	CString GetOwner(){ return owner; }
	CString GetRelativePath(){ return relativePath; }
	CString GetMimeType(){ return mimeType; }
	BOOL GetStreamable(){ return m_streamable; }
	BOOL GetPersistent(){ return m_persistant; }
	CString GetDescription(){ return m_description; }
	void SetInitialDir(CString InitDir){ initialDir = InitDir; }

  // Dialog Data
	//{{AFX_DATA(CAddFileDlg)
	enum { IDD = IDD_ADD_FILE };
	CString	m_description;
	CString	m_file;
	BOOL	m_persistant;
	BOOL	m_streamable;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddFileDlg)
	afx_msg void OnBtnBrowse();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	CString filename;
	CString owner;
	CString relativePath;
	CString mimeType;
  CString initialDir;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDFILEDLG_H__9B78C932_2046_4812_BAE1_BC09DFC3116B__INCLUDED_)
