// -----------------------------------------------------------------------
// Store 1 document informations
// -----------------------------------------------------------------------
#ifndef _DocInfo_H_
#define _DocInfo_H_
// -----------------------------------------------------------------------

#include <afx.h>
#include "IRadRecord.h"

class CDocInfo : public CIRadRecord
{
  public:
  	CDocInfo();
    CDocInfo(CString filename, CString owner, CString relativePath,
              CString mimetype, BOOL streamable, BOOL persistent,
              CString description);

	CDocInfo (CDocInfo& doc);
	CDocInfo& operator= (CDocInfo& doc);
		
    virtual void Serialize(CArchive &ar);

    CString getKey();
    // Add fields here 
    CString filename, owner, relativePath; // %server%/path 
    CString mimetype; // (ex : text/plain)
    BOOL streamable;
    BOOL persistent;
    CString description;
  protected:
    DECLARE_SERIAL(CDocInfo)

};


// -----------------------------------------------------------------------
#endif
// -----------------------------------------------------------------------
 
