#if !defined(AFX_FCASTSENDERTHREAD_H__FAFAC8B1_575A_11D5_8C06_00A0C998F569__INCLUDED_)
#define AFX_FCASTSENDERTHREAD_H__FAFAC8B1_575A_11D5_8C06_00A0C998F569__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FcastSenderThread.h : header file
//

#include "Fcast.h"

#define FCAST_TTL 5

class ServerRunner;

/////////////////////////////////////////////////////////////////////////////
// FcastSenderThread thread

class FcastSenderThread : public CWinThread
{
	DECLARE_DYNCREATE(FcastSenderThread)
protected:
	FcastSenderThread();           // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:
	ServerRunner* pServer;
	CString FcastIP;
	int FcastPort;
	int FcastRound;
	int FcastRate;

	void StopFcast();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(FcastSenderThread)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
protected:
	IFcastSnd *pIFcastSnd;
	virtual ~FcastSenderThread();

	// Generated message map functions
	//{{AFX_MSG(FcastSenderThread)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FCASTSENDERTHREAD_H__FAFAC8B1_575A_11D5_8C06_00A0C998F569__INCLUDED_)
