// -----------------------------------------------------------------------
// Base class for data table record
//
// It must - be Serializable
//         - have a getKey() method
// -----------------------------------------------------------------------
#ifndef _IRadRecord_H_
#define _IRadRecord_H_
// -----------------------------------------------------------------------

#include <afx.h>

class CIRadRecord : public CObject
{
  public:
  	CIRadRecord();
    virtual void Serialize(CArchive &ar) = 0;
    virtual CString getKey() = 0;
    
  protected:
//    DECLARE_SERIAL(CIRadRecord)   // Add this to herited class
};



// -----------------------------------------------------------------------
#endif
// -----------------------------------------------------------------------
