// ServerAudioView.h : interface of the CServerAudioView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVERAUDIOVIEW_H__63252D84_2E0A_40EF_AF0C_B6E1608DE756__INCLUDED_)
#define AFX_SERVERAUDIOVIEW_H__63252D84_2E0A_40EF_AF0C_B6E1608DE756__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CServerAudioView : public CFormView
{
protected: // create from serialization only
	CServerAudioView();
	DECLARE_DYNCREATE(CServerAudioView)

public:
	//{{AFX_DATA(CServerAudioView)
	enum { IDD = IDD_SERVERAUDIO_FORM };
	CEdit	m_edit_fcast_round_o;
	CEdit	m_edit_fcast_rate_o;
	CEdit	m_edit_fcast_port_o;
	CEdit	m_edit_fcast_ip_o;
	CButton	m_Btn_SaveParams;
	CButton	m_Btn_PlayList;
	CButton	m_Btn_Log_Clear;
	CEdit	m_Log_o;
	CEdit	m_user_db_file_o;
	CEdit	m_document_db_file_o;
	CButton	m_Btn_Browse;
	CButton	m_Btn_Browse_Db_User;
	CButton	m_Btn_Browse_Db_Doc;
	CEdit	m_document_path_o;
	CEdit	m_Udp_Multicast_ip_o;
	CEdit	m_Udp_Port_o;
	CEdit	m_Tcp_Port_o;
	CButton	m_manage_users_btn;
	CButton	m_manage_documents_btn;
	CButton	m_server_start;
	CButton	m_server_stop;
	int		m_Tcp_Port;
	int		m_Udp_Port;
	CString	m_Udp_Multicast_ip;
	CString	m_document_path;
	CString	m_document_db_file;
	CString	m_user_db_file;
	//}}AFX_DATA

// Attributes
public:
	CServerAudioDoc* GetDocument();
	POSITION pos;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CServerAudioView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void CalcWindowRect(LPRECT lpClientRect, UINT nAdjustType = adjustBorder);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CServerAudioView();
  
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
  void AddLineLog(CString str);

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CServerAudioView)
	afx_msg void OnManageUsers();
	afx_msg void OnManageDocuments();
	afx_msg void OnServerStart();
	afx_msg void OnServerStop();
	afx_msg void OnBtnBrowse();
	afx_msg void OnBtnBrowseDbDoc();
	afx_msg void OnBtnBrowsePath();
	afx_msg void OnBtnBrowseDbUser();
	afx_msg void OnBtnSave();
	afx_msg void OnBtnClearLog();
	afx_msg void OnBtnPlaylist();
	afx_msg void OnChangeTcpPort();
	afx_msg void OnChangeUdpPort();
	afx_msg void OnChangeIpUdp();
	afx_msg void OnChangeDocumentDb();
	afx_msg void OnChangeDocumentPath();
	afx_msg void OnChangeUserDb();
	afx_msg void OnChangeEditFcastIp();
	afx_msg void OnChangeEditFcastPort();
	afx_msg void OnChangeEditFcastRate();
	afx_msg void OnChangeEditFcastRound();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ServerAudioView.cpp
inline CServerAudioDoc* CServerAudioView::GetDocument()
   { return (CServerAudioDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERVERAUDIOVIEW_H__63252D84_2E0A_40EF_AF0C_B6E1608DE756__INCLUDED_)
