#include "stdafx.h"
#include "ServerListenerManager.h"
#include "Event.h"

void ServerListenerManager::AddListener(ServerListener * newListener){
			listeners.AddTail(newListener);
}

void ServerListenerManager::RemoveListener(ServerListener * newListener){
	POSITION pos = listeners.Find(newListener);
	listeners.RemoveAt(pos);
}

void ServerListenerManager::Notify(Event* e){
	POSITION pos;
	
	for (int i=0;i < listeners.GetCount();i++)
	{
		
		pos = listeners.FindIndex(i);
		(listeners.GetAt(pos))->OnNewEvent(e);
	}
}
