// -----------------------------------------------------------------------
// Store 1 user informations
// -----------------------------------------------------------------------
#ifndef _UserInfo_H_
#define _UserInfo_H_
// -----------------------------------------------------------------------

#include <afx.h>
#include "IRadRecord.h"

class CUserInfo : public CIRadRecord
{
  public:
  	CUserInfo();
    CUserInfo(CString login, CString passwd, CString user, CString lastname, 
              BOOL banned, BOOL connected, CString ip, int port);

    virtual void Serialize(CArchive &ar);

    CString getKey();
    // Add fields here 
    CString login, passwd, user, lastname;
    BOOL banned;
    BOOL connected;
    CString ip;
    int port;
  protected:
    DECLARE_SERIAL(CUserInfo)

};


// -----------------------------------------------------------------------
#endif
// -----------------------------------------------------------------------
 
